Bug 526163 - Missing man-pages
Summary: Missing man-pages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firstaidkit
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 527378 528649 584677
TreeView+ depends on / blocked
 
Reported: 2009-09-29 06:51 UTC by Ivana Varekova
Modified: 2010-12-04 07:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 584677 (view as bug list)
Environment:
Last Closed: 2010-12-04 07:37:00 UTC


Attachments (Terms of Use)

Description Ivana Varekova 2009-09-29 06:51:12 UTC
Description of problem:
There are missing man page(s) for these tools or config files:
 /etc/firstaidkit/firstaidkit.conf

If the man-pages are in a different package, please describe the details here.

In case the config file has the description inside and no additional man page is needed, please post a comment describing this situation here and set the bug status to CLOSE NOTABUG.

Short description on how to create man pages can be found here:

 https://fedoraproject.org/wiki/User:Varekova/man-pages

Actual results:
no man pages

Expected results:
man pages available

Comment 1 Martin Sivák 2009-10-06 08:04:37 UTC
Firstaidkit uses comments in config file as primary documentation for it. We will certainly improve it, but man page ir not neccessary.

Comment 2 Ivana Varekova 2009-10-12 09:05:29 UTC
Hello, 
I think redhat is upstream for this project so there should be no problem with adding the man-page there from this point of view. The man-page should be really helpful, so is there aby strong reason not to add it? 
(reopening the bug)

Comment 3 Martin Sivák 2009-10-12 11:50:31 UTC
I'm not really sure what point of view are you mentioning, because my comment is still valid. Red Hat is upstream, but I closed this bug according to above mentioned rule.

> In case the config file has the description inside and no additional man page
> is needed, please post a comment describing this situation here and set the bug
> status to CLOSE NOTABUG.

This rule is still valid and we still prefer commenting configuration files over writing the same information into the man page and maintaining it in two places.

Comment 4 Ivana Varekova 2009-10-12 12:05:53 UTC
Hello, the rules changes somehow - so the remark from the first comment is not relevant in this case for not including the man-page in this case. Sorry for the confusion.

Comment 5 Bug Zapper 2009-11-16 13:03:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-11-04 09:46:15 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-12-04 07:37:00 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.